Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 453122 - Please stabilize =app-text/po4a-0.42 (was: 0.38 misparses CDATA section)
Summary: Please stabilize =app-text/po4a-0.42 (was: 0.38 misparses CDATA section)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks:
 
Reported: 2013-01-20 12:07 UTC by Petr Pisar
Modified: 2013-07-11 08:49 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Pisar 2013-01-20 12:07:17 UTC
Current stable app-text/po4a-0.38 has bug when handling CDATA XML sections. It injects end delimiter "]]>" wrongly to extracted messages. This bug has been already fixed by upstream, and e.g. in-portage version 0.41 is not affected.

See upstream report <https://alioth.debian.org/tracker/?func=detail&atid=410622&aid=312773&group_id=30267> for more details including patch.

Please apply the fix to stable app-text/po4a or stabilize unaffected version.
Comment 1 Torsten Veller (RETIRED) gentoo-dev 2013-01-20 20:58:38 UTC
Please stabilize =app-text/po4a-0.42
Comment 2 Agostino Sarubbo gentoo-dev 2013-01-24 22:06:26 UTC
amd64 stable
Comment 3 Agostino Sarubbo gentoo-dev 2013-01-24 22:09:25 UTC
x86 stable
Comment 4 Markus Meier gentoo-dev 2013-01-26 11:29:28 UTC
arm stable
Comment 5 Agostino Sarubbo gentoo-dev 2013-01-26 11:47:18 UTC
ppc stable
Comment 6 Agostino Sarubbo gentoo-dev 2013-01-26 13:12:36 UTC
ppc64 stable
Comment 7 Agostino Sarubbo gentoo-dev 2013-01-29 11:12:42 UTC
ia64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2013-02-04 09:46:20 UTC
alpha stable
Comment 9 Jeroen Roovers gentoo-dev 2013-02-05 13:23:41 UTC
Stable for HPPA.
Comment 10 Agostino Sarubbo gentoo-dev 2013-02-06 19:38:18 UTC
sparc stable
Comment 11 Agostino Sarubbo gentoo-dev 2013-02-19 20:59:42 UTC
s390 stable
Comment 12 Agostino Sarubbo gentoo-dev 2013-02-24 17:46:51 UTC
sh stable
Comment 13 Sergey Popov gentoo-dev Security 2013-06-17 16:15:33 UTC
@m68k team, ping
Comment 14 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-07-11 08:49:24 UTC
Closed. Leaving m68k as unstable.